## org.gnu.pango
Class Color

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.Color

public class Color
extends Boxed

The PangoColor structure is used to represent a color in an uncalibrated RGB colorspace.

Constructor Summary
`Color(Color color)` Create a new Color that is a copy of the provided color.
`Color(java.lang.String spec)` Create a new instance whose fields are filled from a string specification.

Method Summary
`int` `getBlue()` Returns the Blue component of the color.
`int` `getGreen()` Returns the Green component of the color.
`int` `getRed()` Returns the red component of the color.
`boolean` `setColor(java.lang.String spec)` Fill in the fields of a color from a string specification.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Color

    public Color(java.lang.String spec)

  Create a new instance whose fields are filled from a string specification.

See Also:
  `setColor(java.lang.String)`

### Color

    public Color(Color color)

  Create a new Color that is a copy of the provided color.

Parameters:
  `color` -

Method Detail

### getRed

    public int getRed()

  Returns the red component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

### getGreen

    public int getGreen()

  Returns the Green component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

### getBlue

    public int getBlue()

  Returns the Blue component of the color. This is a value between 0 and 65535, with 65535 indicating full intensity.

### setColor

    public boolean setColor(java.lang.String spec)

  Fill in the fields of a color from a string specification. The string can either one of a large set of standard names. (Taken from the X11 rgb.txt file), or it can be a hex value in the form 'rgb' 'rrggbb' 'rrrgggbbb' or 'rrrrggggbbbb' where 'r', 'g' and 'b' are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is 'fff' 'ffffff' 'fffffffff' and 'ffffffffffff'.)

  Parameters:
    `spec` - A string specifying the new color.
  Returns:
    TRUE if parsing of the specifier succeeded, otherwise false.